diff -c /dev/null xc/config/cf/mach.cf:3.4
*** /dev/null	Mon Jan 30 17:29:22 1995
--- xc/config/cf/mach.cf	Mon Jan 30 17:29:22 1995
***************
*** 0 ****
--- 1,71 ----
+ XCOMM platform:  $XFree86: xc/config/cf/mach.cf,v 3.4 1994/11/19 07:32:25 dawes Exp $
+ 
+ #define OSName           Mach 2.5/3.0
+ #define OSVendor          /**/
+ XCOMM operating system:  OSName
+ #define OSMajorVersion  	1
+ #define OSMinorVersion    	1
+ 
+ #define HasGcc 			YES
+ #define HasGcc2			YES
+ #define GccUsesGas		YES
+ #define UseGas			YES
+ #define GnuCpp			YES
+ #define UseGccMakeDepend	YES
+ #ifndef HasGcc2ForCplusplus
+ #define HasGcc2ForCplusplus	YES
+ #endif
+ 
+ #define CcCmd			gcc
+ #define CppCmd			/usr/mach3/lib/gcc-lib/i386-mach/2.3.3/cpp
+ #define PreProcessCmd		/usr/mach3/lib/gcc-lib/i386-mach/2.3.3/cpp
+ #define DefaultCCOptions	/**/
+ #define GccGasOption 		-DGCCUSESGAS
+ #define OptimizedCDebugFlags	-m486 -O2
+ 
+ #define AsmDefines		-DUSE_GAS
+ #define BootstrapCFlags		-DNOSTDHDRS
+ #define ExtensionOSDefines	/* -DXTESTEXT1 */
+ #define ServerExtraSysLibs	/usr/lib/libmach.a
+ #ifdef i386Architecture
+ #define ServerExtraDefines	GccGasOption XFree86ServerDefines
+ #else
+ #define ServerExtraDefines	GccGasOption
+ #endif
+ #define StandardCppDefines	-traditional
+ #define StandardDefines		-DNOSTDHDRS -DMACH386
+ #define ServerOSDefines		XFree86ServerOSDefines -DDDXTIME
+ 
+ #define AvoidNullMakeCommand	YES
+ #define CompressAllFonts	YES
+ #define DirFailPrefix -
+ #define HasNdbm         	YES
+ #define HasPutenv       	YES
+ #define Malloc0ReturnsNull	YES
+ #define NeedConstPrototypes	YES
+ #define NeedFunctionPrototypes	YES
+ #define NeedNestedPrototypes	YES
+ #define NeedVarargsPrototypes	YES
+ #define NeedWidePrototypes	NO
+ #define StripInstalledPrograms	YES
+ 
+ /*#define ExtraLibraries	-lgnumalloc */
+ 
+ #ifdef InstallCmd
+ #undef  InstallCmd
+ #endif
+ #define InstallCmd		/usr/bin/install
+ 
+ #ifndef PreIncDir
+ # define PreIncDir	/usr/include
+ #endif
+ 
+ #define TroffCmd        groff -Tps
+ 
+ #ifndef ExtraFilesToClean
+ # define ExtraFilesToClean *.core
+ #endif
+ 
+ #ifdef i386Architecture
+ # include <xfree86.cf>
+ #endif
diff -c /dev/null xc/config/cf/minix.cf:3.3
*** /dev/null	Mon Jan 30 17:29:23 1995
--- xc/config/cf/minix.cf	Mon Jan 30 17:29:23 1995
***************
*** 0 ****
--- 1,60 ----
+ XCOMM platform:  $XFree86: xc/config/cf/minix.cf,v 3.3 1994/06/28 12:15:02 dawes Exp $
+ 
+ 
+ /*
+  * If you want to change any of these, do it in the BeforeVendorCF part
+  * of site.def
+  */
+ #define OSName			Minix-386vm
+ #define OSVendor		/* philip@cs.vu.nl */
+ #define OSMajorVersion		1
+ #define OSMinorVersion		6
+ #define OSTeenyVersion		25.1.0
+ 
+ #define AcdGcc
+ 
+ #ifdef AcdGcc
+ #define ServerExtraDefines	-DGCCUSESGAS XFree86ServerDefines
+ #define AsmDefines 		-DUSE_GAS
+ #define GccGasOption		-DGCCUSESGAS /* For SuperProbe */
+ #endif
+ 
+ /* Defaults for Minix */
+ 
+ #define ConnectionFlags		-DMNX_TCPCONN
+ #define StandardDefines		-D_MINIX -DMINIX -D_POSIX_SOURCE
+ #define StandardIncludes	
+ 
+ #define DoRanlibCmd		NO
+ #define AvoidNullMakeCommand	YES
+ #define HasSockets		NO
+ #define HasStreams		NO
+ #define HasVFork		NO
+ #define HasNdbm			YES
+ #define	ExtraLibraries		-lnbio
+ #define NeedConstPrototypes	YES
+ #define NeedVarargsPrototypes	YES
+ #define NeedNestedPrototypes	YES
+ /* #define UseCCMakeDepend		YES */
+ #define	DefaultCCOptions	-wo -fsoft
+ #define ArCmd			CcCmd -c.a -o
+ #define ArAddCmd		ArCmd
+ #define CcCmd			acd -descr gcc -name cc
+ #define AsCmd			CcCmd -c
+ #define CppCmd			/usr/lib/cpp
+ #define LdCmd			CcCmd
+ #define LdCombineFlags		-r
+ #define LexLib			/* */
+ 
+ #define	SetTtyGroup		YES	/* for xterm */
+ #define HasPutenv		YES	/* for xsm */
+ 
+ #ifndef AssembleObject
+ #define AssembleObject(flags) $(RM) $@                                    @@\
+ 	$(CPP) AsmDefines $(DEFINES) $(INCLUDES) flags $*.s | \           @@\
+ 	    grep -v '^\#' > $*.i.s                                        @@\
+ 	$(AS) -o $*.o $*.i.s                                              @@\
+ 	$(RM) $*.i.s
+ #endif
+ 
+ #include <xfree86.cf>
diff -c xc/config/cf/ncr.cf:1.1.1.3 xc/config/cf/ncr.cf:3.10
*** xc/config/cf/ncr.cf:1.1.1.3	Mon Jan 30 17:29:24 1995
--- xc/config/cf/ncr.cf	Mon Jan 30 17:29:24 1995
***************
*** 1,4 ****
--- 1,5 ----
  XCOMM platform:  $XConsortium: ncr.cf,v 1.19 95/01/25 16:28:38 kaleb Exp $
+ XCOMM platform:  $XFree86: xc/config/cf/ncr.cf,v 3.10 1995/01/28 15:40:29 dawes Exp $
  #define OSName			Unix System V Release 4/MP-RAS
  #define OSVendor		NCR
  XCOMM operating system:  OSName
***************
*** 82,87 ****
--- 83,91 ----
  	$(INSTALL) -c $(INSTMANFLAGS) file.z $(DESTDIR)destdir/dest.z; \@@\
  	fi
  
+ #define InstallGenManPageLong(file,destdir,dest,suffix)			@@\
+ 	InstallManPageLong(file,destdir,dest)
+ 
  #define InstallMultipleManSuffix(list,dest,suff)                        @@\
  install.man:: 								@@\
  	MakeDir($(DESTDIR)dest)						@@\
***************
*** 106,110 ****
--- 110,117 ----
  		(cd $(DESTDIR)destdir; $(LN) file.z $$i.z);\		@@\
  		); \							@@\
  	done
+ 
+ #define InstallGenManPageAliases(file,destdir,suffix,aliases)		@@\
+ 	InstallManPageAliases(file,destdir,aliases)
  
  #include <svr4.cf>
diff -c /dev/null xc/config/cf/os2.cf:3.2
*** /dev/null	Mon Jan 30 17:29:24 1995
--- xc/config/cf/os2.cf	Mon Jan 30 17:29:24 1995
***************
*** 0 ****
--- 1,224 ----
+ XCOMM platform:  $XFree86: xc/config/cf/os2.cf,v 3.2 1994/12/17 09:32:44 dawes Exp $
+ 
+ #define OSName           OS/2
+ #define OSVendor	 IBM
+ #define OSMajorVersion    2
+ #define OSMinorVersion    1
+ 
+ /*
+  * C library features
+  */
+ #ifdef __EMX__
+ 
+ #define BootstrapCFlags   -DNOSTDHDRS -DBSD43
+ #define StandardDefines   -DNOSTDHDRS
+ #define XawI18nDefines     -DUSE_XWCHAR_STRING -DUSE_XMBTOWC
+ 
+ /* Set the following to the path where the emx *.lib files are! 
+  * The following is a correct path:
+  * EMXLIBPATH = q:\foo\bar
+  */
+   EMXLIBPATH = d:\emx\lib
+ 
+ /* This will redirect everything to /XFree86
+  * Care will be taken that programs that need a file from this tree
+  * will add the environment variable X11ROOT to the search path
+  * so you can redirect the stuff to a different drive
+  */
+ #define ProjectRoot /XFree86
+ 
+ /* more directories */
+ #define XAppLoadDir	$(LIBDIR)/app_defs
+ 
+ 
+ /* A set of standard defines: */
+ #define OSDefines		-D__EMX__ -D__i386__ -Demxos2 -D_POSIX_SOURCE \
+ 				-D_BSD_SOURCE -D_GNU_SOURCE
+ 
+ #define BuildPexExt	NO
+ #define BuildXInputExt	NO
+ #define BuildXIE	NO
+ #define BuildXKB	NO
+ /* OS/2 bash implementation (or even OS/2 itself) has a bug preventing
+  * proper make clean/include/depend/all in deeper Xfree86 dirs. The following
+  * prevents diving into XFree86 dirs, unless explicitly requested.
+  */
+ #define OS2DepthBug	YES
+ 
+ #define HasNdbm         	YES
+ #define HasPutenv       	YES
+ #define HasSockets		YES
+ #define HasBsearch		NO
+ #define HasLargeTmp		NO
+ #define HasPoll			NO
+ #define HasBSD44Sockets 	NO
+ #define HasSecureRPC		NO
+ #define	HasSymLinks		NO
+ #define HasVFork		NO
+ #define Malloc0ReturnsNull	NO
+ #define SetTtyGroup     	NO
+ #ifndef HasLibCrypt
+ # define HasLibCrypt		NO
+ #endif
+ #ifndef HasShm
+ # define HasShm          	NO
+ #endif
+ #define ConnectionFlags		-DTCPCONN
+ 
+ /*
+  * Compiler Features
+  */
+ #define HasGcc			YES
+ #define HasGcc2			YES
+ #define HasCplusplus		YES
+ #define HasGcc2ForCplusplus	YES
+ #define GccUsesGas		YES
+ #define UseGas			YES
+ #define GnuCpp			YES
+ #define DoRanlibCmd		YES
+ #define NeedConstPrototypes	YES
+ #define NeedFunctionPrototypes	YES
+ #define NeedNestedPrototypes	YES
+ #define NeedVarargsPrototypes	YES
+ #define NeedWidePrototypes	NO
+ 
+ #define CppCmd	cpp
+ #define StandardCppDefines	-traditional
+ #define PreProcessCmd	CppCmd
+ 
+ /*
+  * ATTENTION: This is defined, but due to a bug in make/gcc (?) the defines are
+  * hard coded into config/makedepend/main.c.
+  * You must change them there!
+  */
+ #define PreIncDir	/emx/include
+ 
+ #define CcCmd	gcc
+ #define DefaultCCOptions	-Zmtd
+ #define LibraryCCOptions	-Zmtd
+ #define ServerCCOptions		-Zmtd 
+ 
+ #define AsCmd	gcc -S
+ #define GccGasOption	-DGCCUSESGAS
+ #define AsmDefines	-DUSE_GAS
+ 
+ #define InstallCmd	install
+ 
+ #define LdCmd	ld
+ #define ExtraLoadFlags	/**/
+ #define ExtraLibraries	/emx/lib/binmode.Osuf -lnet -lbsd
+ 
+ /* quite a number of programs you need, most of them the same as
+  * with Unix, but listed here for completeness
+  */
+ #define CplusplusCmd	g++
+ #define ArCmd	ar cr
+ #define RanlibCmd	ar s
+ #define BourneShell	/**/
+ #define LexCmd	flex -l
+ #define LexLib	-lfl
+ #define YaccCmd	yacc
+ #define LintCmd	/**/
+ #define MvCmd	mv
+ #define CompressCmd	compress
+ #define LnCmd cp
+ #define CpCmd cp
+ #define RmCmd	ImakeHelper 4 
+ 
+ #ifndef UseInstalled
+ #define ImakeCmd \imake
+ #define MkdirHierCmd \mkdirhier
+ #define DependCmd \makedepend
+ #endif
+ 
+ #define InstPgmFlags /**/
+ #define InstBinFlags /**/
+ #define InstUidFlags /**/
+ #define InstLibFlags /**/
+ #define InstIncFlags /**/
+ #define InstManFlags /**/
+ #define InstDatFlags /**/
+ #define InstallFlags /**/
+ 
+ #ifdef i386Architecture
+ # define OptimizedCDebugFlags 	-m486 -O2
+ # define ServerOSDefines	XFree86ServerOSDefines -DDDXTIME
+ #else
+ # define OptimizedCDebugFlags 	-O2
+ # define ServerOSDefines 	/**/
+ #endif
+ #ifdef i386Architecture
+ #define ServerExtraDefines GccGasOption XFree86ServerDefines
+ #else
+ #define ServerExtraDefines GccGasOption
+ #endif
+ 
+ 
+ /*
+  * Make & install Features
+  */
+ 
+ #define AvoidNullMakeCommand 	NO
+ _NULLCMD_ = @ rem
+ /* _NULLCMD_ = @ echo ÿ*/		/*WARNING: ALT-255 IN LINE!*/
+ #define StripInstalledPrograms	NO
+ #define CompressAllFonts	YES
+ #define DefaultUserPath		.:/os2:/emx/bin:/tcpip/bin:$(BINDIR)
+ #define DefaultSystemPath	/os2:/emx/bin:$(BINDIR)
+ 
+ #ifndef ExtraFilesToClean
+ # define ExtraFilesToClean 	*.~* *.exe *.dll *.obj *.lib
+ #endif
+ 
+ #define ProgramTargetName(target)target.exe
+ 
+ /* we don't name libraries lib*.a */
+ #define LibraryTargetName(libname) libname.a
+ #define LibraryTargetNameSuffix(libname,suffix)Concat(libname,suffix.a)
+ 
+ /* ... and we even don't do it in rules that should have used the above
+  * LibraryTargetName macro
+  */
+ #ifndef UnSharedLibReferences
+ #define UnsharedLibReferences(varname,libname,libsource)		@@\
+ Concat3(DEP,varname,LIB) = _UseCat($(USRLIBDIR)/,$(BUILDLIBDIR)/,libname.a)	@@\
+ Concat(varname,LIB) = LoaderLibPrefix Concat(-l,libname)		@@\
+ LintLibReferences(varname,libname,libsource)
+ #endif
+ 
+ #ifndef SharedLibReferences
+ #define SharedLibReferences(varname,libname,libsource,revname,rev)	@@\
+ Concat3(DEP,varname,LIB) = SharedLibDependencies(libname,libsource,revname) @@\
+ Concat(varname,LIB) = LoaderLibPrefix Concat(-l,libname)		@@\
+ LintLibReferences(varname,libname,libsource)
+ #endif
+ 
+ /*
+  * Documentation formatting
+  */
+ #undef	TblCmd
+ #define	TblCmd 			/emx/bin/tbl
+ #undef	EqnCmd
+ #define	EqnCmd 			/emx/bin/eqn -Tascii
+           COL = /usr/bin/col
+          NEQN = /usr/bin/neqn
+         NROFF = /usr/bin/nroff
+ #define TroffCmd        	groff -Tps
+ 
+ 
+ XCOMM Man pages need to be formatted when installed, so override the default
+ XCOMM imake rules.
+ 
+ #define ManSuffix		1
+ #define ManSourcePath		$(MANPATH)
+ 
+ #include <os2.rules>
+ #include <os2Lib.rules>
+ 
+ #ifdef i386Architecture
+ # include <xfree86.cf>
+ #endif
+ 
+ #else
+ #error You must edit os2.cf for your (non-EMX) OS/2 dev system
+ #endif
diff -c /dev/null xc/config/cf/os2.rules:3.1
*** /dev/null	Mon Jan 30 17:29:24 1995
--- xc/config/cf/os2.rules	Mon Jan 30 17:29:25 1995
***************
*** 0 ****
--- 1,254 ----
+ XCOMM platform:  $XFree86: xc/config/cf/os2.rules,v 3.1 1994/12/17 09:32:46 dawes Exp $
+ 
+ .SUFFIXES: .Osuf .c .CCsuf
+ 
+ .c.Osuf:
+ 	$(CC) $(CFLAGS) -c $*.c
+ 
+ #if HasCplusplus
+ .CCsuf.Osuf:
+ 	$(CXX) $(CFLAGS) -c $*.CCsuf
+ #endif
+ 
+ #ifndef UseInstalled
+ #define ImakeHelper \imakesvc
+ #define IMmode n
+ #define ImakeIndir \indir
+ #define ImakeSubCmdHelper \imake -I$(IRULESRC) $(IMAKE_DEFINES)
+ #define IOPLFix \ioplfix
+ #define Fontc \bdftopcf
+ #define MkFontDir \mkfontdir
+ #else
+ #define ImakeHelper imakesvc
+ #define IMmode u
+ #define ImakeIndir indir
+ #define ImakeSubCmdHelper $(IMAKE_CMD)
+ #define IOPLFix ioplfix
+ #define Fontc bdftopcf
+ #define MkFontDir mkfontdir
+ #endif
+ 
+ #define echo ImakeHelper 8 
+ #define RunProgram(progvar,options) $(subst /,\,$(progvar)) options
+ #define RemoveFile(file) $(RM) file
+ #define RemoveFiles(files) $(RM) files
+ 
+ #define LibObjCompile(dir,options) RemoveFiles($@ dir\$@)		@@\
+ 	$(CC) $(CCOPTIONS) $(ALLDEFINES) options -c  $*.c		@@\
+ 	$(MV) $@ dir\$@
+ 
+ #define MakeDir(dir) if not exist dir $(MKDIRHIER) dir
+ 
+ #define BuildIncludesTop(srclist)					@@\
+ includes::								@@\
+ 	MakeDir($(BUILDINCDIR))						@@\
+ 	@for %i in (srclist) do ImakeHelper 2 $(BUILDINCDIR) $(BUILDINCTOP) $(CURRENT_DIR) %i
+ 
+ #define	ProgramTargetHelper(program,srcs,objs,deplib,locallib,syslib)	@@\
+ ProgramTargetName(program): $(objs) $(deplib)				@@\
+ 	RemoveTargetProgram($@)						@@\
+ 	LinkRule($@,$(LDOPTIONS),$(objs),locallib $(LDLIBS) syslib)	@@\
+ 									@@\
+ InstallProgram(program,$(BINDIR))					@@\
+ InstallManPage(program,$(MANDIR))
+ 
+ #define BuildIncludes(srclist,dstsubdir,dstupdir)			@@\
+ includes::								@@\
+ 	MakeDir($(BUILDINCDIR)/dstsubdir)				@@\
+ 	@for %i in (srclist) do ImakeHelper 3 $(BUILDINCTOP)/dstupdir/$(CURRENT_DIR) $(BUILDINCDIR)/dstsubdir %i
+ 
+ #define LinkFileList(step,list,dir,sub)					@@\
+ step::  list								@@\
+ 	@for %i in (list) do ImakeHelper 3 sub dir %i
+ 
+ #define ComplexProgramTarget(program)					@@\
+ PROGRAM = ProgramTargetName(program)					@@\
+ 									@@\
+ AllTarget(ProgramTargetName(program))					@@\
+ 									@@\
+ ProgramTargetHelper(program,SRCS,OBJS,DEPLIBS,$(LOCAL_LIBRARIES),NullParameter) @@\
+ 									@@\
+ DependTarget()								@@\
+ LintTarget()								@@\
+ 									@@\
+ clean::									@@\
+ 	RemoveFile($(PROGRAM))
+ 
+ #define ComplexProgramTarget_1(program,locallib,syslib)			@@\
+ OBJS = $(OBJS1) $(OBJS2) $(OBJS3)					@@\
+ SRCS = $(SRCS1) $(SRCS2) $(SRCS3)					@@\
+ PROGRAM1 = ProgramTargetName(program)					@@\
+ 									@@\
+ AllTarget($(PROGRAM1) $(PROGRAM2) $(PROGRAM3))				@@\
+ 									@@\
+ ProgramTargetHelper(program,SRCS1,OBJS1,DEPLIBS1,locallib,syslib)	@@\
+ 									@@\
+ DependTarget()								@@\
+ LintTarget()								@@\
+ 									@@\
+ clean::									@@\
+ 	RemoveFiles($(PROGRAMS))
+ 
+ #define ComplexProgramTarget_2(program,locallib,syslib)			@@\
+ PROGRAM2 = ProgramTargetName(program)					@@\
+ 									@@\
+ ProgramTargetHelper(program,SRCS2,OBJS2,DEPLIBS2,locallib,syslib)
+ 
+ #define ComplexProgramTarget_3(program,locallib,syslib)			@@\
+ PROGRAM3 = ProgramTargetName(program)					@@\
+ 									@@\
+ ProgramTargetHelper(program,SRCS3,OBJS3,DEPLIBS3,locallib,syslib)
+ 
+ #define NormalProgramTarget(program,objects,deplibs,locallibs,syslibs)	@@\
+ ProgramTargetName(program): objects deplibs				@@\
+ 	RemoveTargetProgram($@)						@@\
+ 	LinkRule($@,$(LDOPTIONS),objects,locallibs $(LDLIBS) syslibs)	@@\
+ 									@@\
+ InstallProgram(program,$(BINDIR))					@@\
+ InstallManPage(program,$(MANDIR))
+ 
+ #define MoveToBakFile(file) ImakeHelper 5 file
+ 
+ #define RMoveToBakFile(file) ImakeHelper 6 file
+ 
+ #define InstallMultipleDestFlags(step,list,dest,flags)			@@\
+ step:: list								@@\
+ 	MakeDir($(DESTDIR)/dest)					@@\
+ 	$(INSTALL) $(INSTALLFLAGS) flags $** $(subst /,\,$(DESTDIR))\dest
+ 
+ #define	CleanTarget()							@@\
+ clean::									@@\
+ 	RemoveFiles(FilesToClean ExtraFilesToClean)
+ 
+ #define LinkSourceFile(src,dir)						@@\
+ src:									@@\
+ 	ImakeHelper 3 dir . src						@@\
+ 									@@\
+ includes:: src								@@\
+ 									@@\
+ depends:: src								@@\
+ 									@@\
+ clean::									@@\
+ 	RemoveFile(src)
+ 
+ #define LinkFile(tofile,fromfile)					@@\
+ tofile:: fromfile							@@\
+ 	ImakeHelper 7 fromfile tofile					@@\
+ 									@@\
+ includes:: tofile							@@\
+ 									@@\
+ depend:: tofile								@@\
+ 									@@\
+ clean::									@@\
+ 	RemoveFile(tofile)
+ 
+ #ifndef UseInstalled
+ #define ImakeDependency(target)						@@\
+ target:: ProgramTargetName($(IMAKE))					@@\
+ 									@@\
+ ProgramTargetName($(IMAKE)):						@@\
+ 	@\indir $(IMAKESRC) if exist Makefile $(MAKE) SHELL= all	@@\
+ 	@\indir $(IMAKESRC) if not exist Makefile $(MAKE) SHELL= -f Makefile.ini BOOTSTRAPCFLAGS="$(BOOTSTRAPCFLAGS)"
+ #endif
+ 
+ #ifndef UseInstalled
+ #define DependDependency() 						@@\
+ depend:: ProgramTargetName($(DEPEND))					@@\
+ 									@@\
+ ProgramTargetName($(DEPEND)):						@@\
+ 	@\indir $(DEPENDSRC) $(MAKE) SHELL= 
+ #endif
+ 
+ #define	DependTarget()							@@\
+ DependDependency()							@@\
+ 									@@\
+ depend::								@@\
+ 	$(subst /,\,$(DEPEND)) $(DEPENDFLAGS) -- $(ALLDEFINES) $(DEPEND_DEFINES) -- $(SRCS)
+ 
+ #define	DependTarget3(srcs1,srcs2,srcs3)				@@\
+ DependDependency()							@@\
+ 
+ /* Currently this stuff doesn't work correctly for libX11
+ depend::								@@\
+ 	$(subst /,\,$(DEPEND)) $(DEPENDFLAGS) -- $(ALLDEFINES) $(DEPEND_DEFINES) -- srcs1 @@\
+ 	$(subst /,\,$(DEPEND)) $(DEPENDFLAGS) -- $(ALLDEFINES) $(DEPEND_DEFINES) -- srcs2 @@\
+ 	$(subst /,\,$(DEPEND)) $(DEPENDFLAGS) -- $(ALLDEFINES) $(DEPEND_DEFINES) -- srcs3
+ */
+ 
+ #define ForceSubdirs(dirs)						@@\
+ dirs: DONE								@@\
+ 									@@\
+ DONE:									@@\
+ 	@for %i in (dirs) do \indir %i $(MAKE) SHELL= $(MFLAGS) PassCDebugFlags all @@\
+ 	touch DONE							@@\
+ 									@@\
+ clean::									@@\
+ 	RemoveFile(DONE)
+ 
+ #define MakeMakeSubdirs(dirs,target)					@@\
+ MMSDIRS = dirs								@@\
+ target::								@@\
+ 	@for %i in ($(subst /,\,$(MMSDIRS))) do ImakeHelper 1 IMmode %i ../$(IRULESRC) ../$(TOP) $(CURRENT_DIR)
+ 
+ #define NamedTargetSubdirs(name,dirs,verb,flags,subname)		@@\
+ Concat(SUBST,name) = dirs						@@\
+ name::									@@\
+ 	@for %i in ($(subst /,\,$(Concat(SUBST,name)))) do \indir %i $(MAKE) SHELL= $(MFLAGS) flags subname
+ 
+ #define InstallNamedTarget(step,srcname,flags,dest,dstname)		@@\
+ step:: srcname								@@\
+ 	MakeDir($(DESTDIR)/dest)					@@\
+ 	$(INSTALL) $(INSTALLFLAGS) flags srcname $(subst /,\,$(DESTDIR))\dest\dstname
+ 
+ #define	BuildMakefileTarget(notused,imakeflags)				@@\
+ ImakeDependency(Makefile)						@@\
+ 									@@\
+ Makefile:: 								@@\
+ 	RMoveToBakFile(Makefile)					@@\
+ 	ImakeSubCmdHelper -DTOPDIR=$(TOP) -DCURDIR=$(CURRENT_DIR) imakeflags
+ 
+ #define AssembleObject(flags) $(RM) $@                                  @@\
+ 	$(CPP) AsmDefines $(DEFINES) $(INCLUDES) flags $*.s | \         @@\
+ 	    grep -v '^\#' > _tmp_.s                                     @@\
+ 	$(CC) $(CFLAGS) -o $*.Osuf -c _tmp_.s                           @@\
+ 	$(RM) _tmp_.s
+ 
+ #define NormalAsmObjectRule()                                           @@\
+ .s.Osuf:                                                                @@\
+ 	AssembleObject($(_NOOP_))
+ 
+ #define FontBaseObj(basename)basename.pcf
+ #define FontCompressObj(basename)basename.pcz
+ /*
+  * UncompressedFontTarget
+  */
+ #define UncompressedFontTarget(basename)				@@\
+ FontBaseObj(basename):  FontSrc(basename)				@@\
+ 	Fontc $(FONTCFLAGS) $? -o $@
+ 
+ /*
+  * CompressedFontTarget
+  */
+ #define CompressedFontTarget(basename)					@@\
+ FontCompressObj(basename):  FontSrc(basename)				@@\
+ 	Fontc $(FONTCFLAGS) $? | $(COMPRESS) > $@
+ 
+ /*
+  * MakeFontsDir - generate rules to build fonts.dir database.
+  */
+ #define MakeFontsDir(deplist)						@@\
+ all:: fonts.dir								@@\
+ 									@@\
+ fonts.dir:  deplist							@@\
+ 	MkFontDir .							@@\
+ 									@@\
+ clean::									@@\
+ 	RemoveFile(fonts.dir)
+ 
+ #if CompressAllFonts
+ #define FontTarget(basename) CompressedFontTarget(basename)
+ #define FontObj(basename) FontCompressObj(basename)
+ #else
+ #define FontTarget(basename) UncompressedFontTarget(basename)
+ #define FontObj(basename) FontBaseObj(basename)
+ #endif /* CompressAllFonts */
diff -c /dev/null xc/config/cf/os2Lib.rules:3.0
*** /dev/null	Mon Jan 30 17:29:25 1995
--- xc/config/cf/os2Lib.rules	Mon Jan 30 17:29:25 1995
***************
*** 0 ****
--- 1,165 ----
+ XCOMM $XFree86: xc/config/cf/os2Lib.rules,v 3.0 1994/10/20 06:00:12 dawes Exp $
+ 
+ /*
+  * OS2/EMX shared library rules (DLL version)
+  */
+ #ifndef __EMX__
+ #error You must edit os2Lib.rules for your (non-EMX) OS/2 dev system
+ #endif
+ 
+ #ifndef HasSharedLibraries
+ #define HasSharedLibraries YES
+ #endif
+ #ifndef ForceNormalLib
+ #define ForceNormalLib NO
+ #endif
+ 
+ #define SharedOldX NO
+ 
+ #ifndef SharedDataSeparation
+ #define SharedDataSeparation NO
+ #endif
+ #ifndef SharedCodeDef
+ #define SharedCodeDef /**/
+ #endif
+ #ifndef SharedLibraryDef
+ #define SharedLibraryDef /**/
+ #endif
+ #ifndef ShLibIncludeFile
+ #define ShLibIncludeFile <os2Lib.tmpl>
+ #endif
+ #ifndef SharedLibraryLoadFlags
+ #define SharedLibraryLoadFlags /**/
+ #endif
+ #ifndef PositionIndependentCFlags
+ #define PositionIndependentCFlags -Zdll -Zomf -Zmtd
+ #endif
+ 
+ /*
+  * NormalSharedLibObjCompile - compile fragment for shared object when
+  * a normal library is not being built
+  */
+ #ifndef NormalSharedLibObjCompile
+ #define NormalSharedLibObjCompile(options) $(RM) $@                        @@\
+ 	$(CC) -c $(CFLAGS) options $(SHLIBDEF) $(SHAREDCODEDEF) $(PICFLAGS) $*.c @@\
+ 	touch $*.o
+ #endif
+ 
+ /*
+  * InstallSharedLibrary - generate rules to install the shared library.
+  */
+ #ifndef InstallSharedLibrary
+ #ifdef BuildImplibs
+ #define InstallSharedLibrary(libname,rev,dest)				@@\
+ install:: libname.dll libname.a	libname.lib				@@\
+ 	MakeDir($(DESTDIR)dest)						@@\
+ 	$(INSTALL) -c $(INSTLIBFLAGS) libname.dll $(DESTDIR)dest 	@@\
+ 	$(INSTALL) -c $(INSTLIBFLAGS) libname.a $(DESTDIR)dest 		@@\
+ 	$(INSTALL) -c $(INSTLIBFLAGS) libname.lib $(DESTDIR)dest
+ #else
+ #define InstallSharedLibrary(libname,rev,dest)				@@\
+ install:: libname.dll libname.a						@@\
+ 	MakeDir($(DESTDIR)dest)						@@\
+ 	$(INSTALL) -c $(INSTLIBFLAGS) libname.a $(DESTDIR)dest		@@\
+ 	$(INSTALL) -c $(INSTLIBFLAGS) libname.dll $(DESTDIR)dest
+ #endif
+ #endif /* InstallSharedLibrary */
+ 
+ #ifdef UseInstalled
+ #define LinkBuildLibrary(lib) $(_NULLCMD_)
+ #else
+ #define LinkBuildLibrary(lib) MakeDir($(BUILDLIBDIR))			@@\
+ 	RemoveFile($(BUILDLIBDIR)/lib)					@@\
+ 	ImakeIndir $(BUILDLIBDIR) $(LN) $(BUILDINCTOP)/$(CURRENT_DIR)/lib .
+ #endif
+ 
+         EMXIMP = emximp
+         EMXOMF = emxomf
+           SHLD = gcc -Zomf -Zdll -Zmtd
+      SHADDLIBS = -lbsd -lnet -lcdll
+ #ifndef BuildDllSupportLibs
+ #ifdef UseInstalled
+ #define BuildDllSupportLibs(slib) $(_NULLCMD_)
+ #else
+ #define BuildDllSupportLibs(slib)					@@\
+ 	$(EMXIMP) -o slib.imp slib.def					@@\
+ 	$(EMXIMP) -o slib.a slib.imp					@@\
+ 	$(EMXOMF) -s -l slib.a 						@@\
+ 	LinkBuildLibrary(slib.a)					@@\
+ 	LinkBuildLibrary(slib.lib)
+ #endif
+ #endif
+ 
+ #ifndef BuildDllSupportLibs2
+ #ifdef UseInstalled
+ #define BuildDllSupportLibs2(slib) $(_NULLCMD_)
+ #else
+ #define BuildDllSupportLibs2(slib)					@@\
+ 	$(EMXIMP) -o slib.imp Concat3(slib,os2,.def)			@@\
+ 	$(EMXIMP) -o slib.a slib.imp					@@\
+ 	$(EMXOMF) -s -l slib.a 						@@\
+ 	LinkBuildLibrary(slib.a)					@@\
+ 	LinkBuildLibrary(slib.lib)
+ #endif
+ #endif
+ 
+ #ifndef BuildLibSupportLibs
+ #ifdef UseInstalled
+ #define BuildLibSupportLibs(slib) $(_NULLCMD_)
+ #else
+ #define BuildLibSupportLibs(slib)					@@\
+ 	$(EMXOMF) -s -l slib.a 						@@\
+ 	LinkBuildLibrary(slib.a)					@@\
+ 	LinkBuildLibrary(slib.lib)
+ #endif
+ #endif
+ 
+ 
+ /*
+  * NormalSharedLibraryTarget - generate rules to create a shared library
+  * Stuff with making it under a different name removed
+  */
+ #ifndef SharedLibraryTarget
+ #define SharedLibraryTarget(libname,rev,solist,down,up)			@@\
+ AllTarget(libname.dll)							@@\
+ .SUFFIXES: .obj .rsp .def						@@\
+ 									@@\
+ link.rsp: Concat3(libname,os2,.rsp)					@@\
+ 	@echo $(EMXLIBPATH)"\\dll0.obj+" >link.rsp			@@\
+ 	@cat Concat3(libname,os2,.rsp) >>link.rsp			@@\
+ 	@echo $(EMXLIBPATH)\\ $(REQUIREDLIBS) net bsd cdll os2 emx2 >>link.rsp	@@\
+ 	@echo Concat3(libname,os2,.def) >>link.rsp			@@\
+ 									@@\
+ libname.dll:  $(OBJS) link.rsp						@@\
+ 	link386 @link.rsp >nul						@@\
+ 	BuildDllSupportLibs2(libname)					@@\
+ 	LinkBuildLibrary(libname.dll)					@@\
+ 									@@\
+ clean::									@@\
+ 	$(RM) libname.lib libname.imp *.obj link.rsp
+ #endif /* SharedLibraryTarget */
+ 
+ /*
+  * NormalLibraryTarget - generate rules to create a library.
+  */
+ #ifndef NormalLibraryTarget
+ #define	NormalLibraryTarget(libname,objlist)				@@\
+ AllTarget(LibraryTargetName(libname))					@@\
+ 									@@\
+ LibraryTargetName(libname): objlist					@@\
+ 	RemoveFile($@)							@@\
+ 	MakeLibrary($@,objlist)						@@\
+ 	RanLibrary($@)							@@\
+ 	BuildLibSupportLibs($*)
+ #endif /* NormalLibraryTarget */
+ 
+ /*
+  * SharedLibraryDataTarget - generate rules to create shlib data file;
+  */
+ #ifndef SharedLibraryDataTarget
+ #define SharedLibraryDataTarget(libname,rev,salist)
+ #endif /* SharedLibraryDataTarget */
+ 
+ #ifndef InstallSharedLibraryData
+ #define InstallSharedLibraryData(libname,rev,dest)
+ #endif /* InstallSharedLibraryData */
diff -c /dev/null xc/config/cf/os2Lib.tmpl:3.0
*** /dev/null	Mon Jan 30 17:29:25 1995
--- xc/config/cf/os2Lib.tmpl	Mon Jan 30 17:29:26 1995
***************
*** 0 ****
--- 1,77 ----
+ XCOMM $XFree86: xc/config/cf/os2Lib.tmpl,v 3.0 1994/10/20 06:00:14 dawes Exp $
+ 
+ /*
+  * OS2/EMX shared library template
+  */
+ #ifndef __EMX__
+ #error You must edit os2Lib.tmpl for your (non-EMX) OS/2 dev system
+ #endif
+ 
+ /* note these are special because of linking with link386 */
+ #ifdef NOT_EMX
+ #define SharedXtReqs $(LDPRELIB) $(XLIBONLY)
+ #define SharedXawReqs $(LDPRELIB) $(XMULIB) $(XTOOLLIB) $(XLIB)
+ #define SharedXmuReqs $(LDPRELIB) $(XTOOLLIB) $(XLIB)
+ #define SharedSMReqs $(LDPRELIB) $(ICELIB)
+ #define SharedXextReqs $(LDPRELIB) $(XLIBONLY)
+ #define SharedXiReqs $(LDPRELIB) $(XLIB)
+ #define SharedXieReqs $(LDPRELIB) $(XLIB)
+ #define SharedXtstReqs $(LDPRELIB) $(XLIB)
+ #define SharedOldXReqs $(LDPRELIB) $(XLIBONLY)
+ #define SharedPexReqs $(LDPRELIB) $(XLIBONLY) MathLibrary
+ #else
+ #define SharedXtReqs ..\\..\\usrlib\\ ICE SM X11
+ #define SharedXawReqs ..\\..\\usrlib\\ Xmu Xt X11 XexExt Xext
+ #define SharedXmuReqs ..\\..\\usrlib\\ Xt X11 XexExt Xext
+ #define SharedSMReqs ..\\..\\usrlib\\ ICE
+ #define SharedXextReqs ..\\..\\usrlib\\ X11 XexExt Xext
+ #define SharedXiReqs ..\\..\\usrlib\\ X11 XexExt Xext
+ #define SharedXieReqs ..\\..\\usrlib\\ X11 XexExt Xext
+ #define SharedXtstReqs ..\\..\\usrlib\\ X11 XexExt Xext
+ #define SharedOldXReqs ..\\..\\usrlib\\ X11 XexExt Xext
+ #define SharedPexReqs ..\\..\\usrlib\\ X11 m
+ #endif
+ 
+ /*
+  * and now a little bit of magic for using imake without source tree; if we
+  * are using shared libraries, we really do not need to depend on anything
+  */
+ #if SharedLibXext
+  DEPEXTENSIONLIB = 
+     EXTENSIONLIB = _Use(-lXext,-L$(EXTENSIONSRC)/lib -lXext)
+ #endif
+ #if SharedLibX11
+          DEPXLIB = 
+             XLIB = $(EXTENSIONLIB) _Use(-lX11,-L$(XLIBSRC) -lX11)
+ #endif
+ #if SharedLibXmu
+        DEPXMULIB = 
+           XMULIB = _Use(-lXmu,-L$(XMUSRC) -lXmu) $(XLIB)
+ #ifndef XawClientLibs
+ #define XawClientLibs $(XAWLIB) $(XMULIB) $(XTOOLLIB) $(XLIB)
+ #endif
+ #endif
+ #if SharedOldX
+       DEPOLDXLIB = 
+          OLDXLIB = _Use(-loldX,-L$(OLDXLIBSRC) -loldX)
+ #endif
+ #if SharedLibXt
+      DEPXTOOLLIB = 
+         XTOOLLIB = _Use(-lXt,-L$(TOOLKITSRC) -lXt)
+ #endif
+ #if SharedLibXaw
+        DEPXAWLIB = 
+           XAWLIB = _Use(-lXaw,-L$(AWIDGETSRC) -lXaw)
+ #endif
+ #if SharedLibXi
+         DEPXILIB = 
+            XILIB = _Use(-lXi,-L$(XILIBSRC) -lXi)
+ #endif
+ #if SharedLibXTest
+     DEPXTESTLIB = 
+        XTESTLIB = _Use(-lXtst,-L$(EXTENSIONSRC)/lib/xtest -lXtst)
+ #endif
+ #if SharedLibPex
+       DEPPEXLIB = 
+          PEXLIB = _Use(-lPEX5,-L$(PEXLIBSRC) -lPEX5)
+ #endif
diff -c /dev/null xc/config/cf/sco.cf:3.6
*** /dev/null	Mon Jan 30 17:29:26 1995
--- xc/config/cf/sco.cf	Mon Jan 30 17:29:26 1995
***************
*** 0 ****
--- 1,102 ----
+ XCOMM platform:  $XFree86: xc/config/cf/sco.cf,v 3.6 1994/12/17 09:32:47 dawes Exp $
+ 
+ /*****************************************************************************
+  *	            Defaults for SCO-specfic parameters                          *
+  *****************************************************************************/
+ 
+ #ifndef ScoOsMouse
+ # define ScoOsMouse		YES
+ #endif
+ 
+ /* You must manually compute BootstrapCFlags for initial build */
+ 
+ #ifdef i386Sco324Architecture
+ # define BootstrapCFlags	-DSYSV -Di386 -DSCO -DSCO324
+ #else
+ # define BootstrapCFlags	-DSYSV -Di386 -DSCO
+ #endif
+ 
+ #define	OSMinorVersion	2
+ 
+ #ifdef i386Sco324Architecture
+ /*
+  * if your gcc is compiled with STDC_VALUE=0 then change the 1 to 0
+  */
+ # define GCC_STDC_VALUE		1
+ # if !GCC_STDC_VALUE
+ #  define OSDefines		-DSCO -DSCO324 -DBROKEN_FTOL -D_NO_PROTOTYPE -D_SVID \
+ 		-D__STDC__=1
+ #  undef StandardCppDefines
+ #  define StandardCppDefines	-DUNIXCPP=1 StandardDefines
+ # else
+ #  define OSDefines		-DSCO -DSCO324 -DBROKEN_FTOL -D_NO_PROTOTYPE -D_SVID
+ # endif
+ # define OSVendor		(SCO Version 3.2.4)
+ # ifndef HasSymLinks
+ #   define HasSymLinks YES
+ # endif
+ # define	OSTeenyVersion	4
+ # define CompressManCmd $(COMPRESS) -v
+ #else /* ! i386Sco324Architecture */
+ # define OSDefines		-DSCO -DBROKEN_FTOL -DNO_PROTOTYPE -D_SVID
+ # define OSVendor		(SCO Version 3.2.2)
+ # ifndef HasSymLinks
+ #   define HasSymLinks NO
+ # endif
+ # define	OSTeenyVersion	2
+ # define CompressManCmd pack
+ #endif /* ! i386Sco324Architecture */
+ 
+ #define XawI18nDefines		-DUSE_XWCHAR_STRING -DUSE_XMBTOWC
+ 
+ /*
+  *	XBSDLIB is included with the Socket libraries, because SCO
+  *	needs Xbsd as its bcopy routine doesn't handle overlapping
+  *	regions. If HasSockets is false the XINETLIB does it for
+  *	us anyway.
+  */
+ #define SocketLibraries	$(XBSDLIB) -lsocket 
+ 
+ #define PosixLibraries		/**/
+ #define ManSourcePath		$(MANPATH)/cat.
+ 
+ #if ScoOsMouse
+ # define	ServerExtraDefines	-DUSE_OSMOUSE XFree86ServerDefines
+ # define	LocalLibraries		-lmalloc -lpt -levent
+ #else
+ # define	LocalLibraries		-lmalloc -lpt
+ #endif /* ScoOsMouse */
+ 
+ #define Malloc0ReturnsNull		YES
+ #define RemoveDSDENroffMacros   NO
+ #define CompressManPages        YES
+ #define ServerExtraSysLibs		$(CBRT) -lm
+ 
+ /*
+  *	The user should override this in their
+  *	site.def if they have the real crypt library,
+  *	we default to the international crypt library
+  *	here as anyone may obtain that
+  */
+ 
+ #ifndef HasLibCrypt
+ #define	HasLibCrypt				YES
+ #define	SpecialLibCrypt			-lcrypt_i
+ #endif
+ 
+ /*
+  * due to the extra '.' chars in the SCO man pages file name we have
+  * to provide our own version of this macro.
+  */
+ 
+ #define InstallManPageAliases(file,destdir,aliases)                     @@\
+ install.man::                                                           @@\
+         @(SUFFIX=`echo $(DESTDIR)destdir/file.* | cut -f3,4 -d.`; \     @@\
+         for i in aliases; do (set -x; \                                 @@\
+         $(RM) $(DESTDIR)destdir/$$i.*; \                                @@\
+         (cd $(DESTDIR)destdir; $(LN) file.$${SUFFIX} \                  @@\
+         $$i.$${SUFFIX})); \                                             @@\
+         done)
+ 
+ #include <svr3.cf>
+ 
